<div fxLayout="row wrap" fxLayoutAlign="start center" style="width: 100%">
    <mat-toolbar-row fxFlex="100">
        <div fxLayout="row" fxFlex="100" fxLayoutGap="10px" fxLayoutAlign="space-between center">
            <!-- <mat-spinner diameter="20"></mat-spinner> -->
            <h3>Cotizaciones Asignadas</h3>
            <mat-chip-list aria-label="Total de cotizaciones" *ngIf="cotizaciones[0] !== undefined" matTooltip="Total de Cotizaciones" aria-label="Este botón muestra el total de cotizaciones">
                <mat-chip>{{ cotizaciones[0].length }}</mat-chip>
            </mat-chip-list>
        </div>
    </mat-toolbar-row>
    <div style="height: calc(100vh - 130px); width: 100%" fxLayout="row" fxLayoutAlign="center center" *ngIf="cotizaciones.length == 0">
        <mat-spinner diameter="30"></mat-spinner>
    </div>
    <mat-accordion *ngIf="gestorComercial" Flex="100">
        <mat-expansion-panel [disabled]="disableEXpand" (opened)="panelOpenState = true" (closed)="panelOpenState = false" *ngFor="let cotizacion of cotizaciones[0]" (click)="getImagenByContizacion(cotizacion.id)">
            <mat-expansion-panel-header>
                <div fxLayout="row wrap" fxFlex="100" fxLayoutGap="6px grid" fxLayoutAlign="space-between center">
                    <div>
                        <mat-panel-title fxLayout="row" fxLayoutAlign="start center" class="order-nro">{{ cotizacion.usuario }}</mat-panel-title>
                    </div>
                    <div>
                        <button mat-stroked-button>
              {{ cotizacion.estado_pago }}
            </button>
                    </div>
                </div>
            </mat-expansion-panel-header>
            <div fxLayout="row wrap">
                <div fxFlex="100">
                    <mat-list class="list-cotizacion" role="list" fxLayout="row wrap">
                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Referencia Seleccionada: </span> {{ cotizacion.referencia }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Estado de la cotizacón: </span> {{ cotizacion.estado_cotizacion }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Cotización creada: </span> {{ cotizacion.created.slice(0, 10) }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <div fxFlex="100" fxLayout="row wrap" fxLayoutAlign="space-between center">
                                <div fxFlex.xs="100">
                                    <span>Precio: </span> {{ cotizacion.precio | currency: "COP":"symbol-narrow":"1.0-0" }}
                                </div>
                                <div fxFlex.xs="100" *ngIf="cotizacion.saldo_pendiente !== ''" style="color: rgba(0, 0, 0, 0.6)">
                                    <span> Saldo pendiente: </span> {{ cotizacion.saldo_pendiente | currency: "COP":"symbol-narrow":"1.0-0" }}
                                </div>
                            </div>
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Dirección de entrega: </span> {{ cotizacion.direccion }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Emoción a despertar: </span> {{ cotizacion.que_quieres }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Motivo de la obra: </span> {{ cotizacion.para_que }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Dimensiones: </span> {{ cotizacion.dimension }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Orientación de la pintura: </span> {{ cotizacion.orientacion == "V" ? "Vertical" : "Horizontal" }}
                        </mat-list-item>
                    </mat-list>
                </div>
                <div fxFlex="100" fxLayout="row wrap" fxLayoutAlign="space-between center" fxLayoutGap="6px grid">
                    <div fxLayout="row wrap" fxFlex.gt-xs="60" fxFlex="100">
                        <ng-container *ngFor="let img of getImagesCotizacion[0]">
                            <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen !== null" fxLayoutAlign="center center">
                                <img [src]="env + img.imagen" [alt]="img.imagen" />
                            </div>
                            <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen2 !== null" fxLayoutAlign="center center">
                                <img [src]="env + img.imagen2" [alt]="img.imagen2" />
                            </div>
                            <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen3 !== null" fxLayoutAlign="center center">
                                <img [src]="env + img.imagen3" [alt]="img.imagen3" />
                            </div>
                        </ng-container>
                    </div>
                    <div *ngIf="properties.length" fxFlex.gt-xs="40" fxFlex="100">
                        <form [formGroup]="formActionSelect">
                            <mat-form-field appearance="outline" fxFill>
                                <mat-label>Seleccione una Acción</mat-label>
                                <mat-select formControlName="actionSelf">
                                    <mat-option *ngFor="let action of properties" [value]="action">{{ action }}</mat-option>
                                </mat-select>
                                <button mat-icon-button [disabled]="!this.formActionSelect.valid" matSuffix aria-label="enviar solicitud" (click)="selfCotizacion(cotizacion.id)">
                  <mat-icon>send</mat-icon>
                </button>
                            </mat-form-field>
                        </form>
                    </div>
                </div>
                <div fxLayout="row wrap">
                    <div *ngIf="showImagesToProduccion === true || this.design === true">
                        <div mat-subheader>Imágenes del diseñador:</div>
                        <div fxLayout="row wrap">
                            <ng-container *ngFor="let img of getImagesCotizacion[0]">
                                <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen4 !== null" fxLayoutAlign="center center">
                                    <img style="width: 100%" [src]="env + img.imagen4" [alt]="img.imagen4" />
                                </div>
                                <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen5 !== null" fxLayoutAlign="center center">
                                    <img style="width: 100%" [src]="env + img.imagen5" [alt]="img.imagen5" />
                                </div>
                                <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen6 !== null" fxLayoutAlign="center center">
                                    <img style="width: 100%" [src]="env + img.imagen6" [alt]="img.imagen6" />
                                </div>
                            </ng-container>
                        </div>
                    </div>
                    <div *ngIf="showDistribucion === true">
                        <div mat-subheader>Imágenes de producción:</div>
                        <div fxLayout="row wrap">
                            <ng-container *ngFor="let img of getImagesCotizacion[0]">
                                <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen7 !== null" fxLayoutAlign="center center">
                                    <img style="width: 100%" [src]="env + img.imagen7" [alt]="img.imagen7" />
                                </div>
                                <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen8 !== null" fxLayoutAlign="center center">
                                    <img style="width: 100%" [src]="env + img.imagen8" [alt]="img.imagen8" />
                                </div>
                                <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen9 !== null" fxLayoutAlign="center center">
                                    <img style="width: 100%" [src]="env + img.imagen9" [alt]="img.imagen9" />
                                </div>
                            </ng-container>
                        </div>
                    </div>
                </div>
            </div>
            <mat-action-row fxLayoutAlign="start center">
                <button mat-stroked-button color="primary" (click)="showInfoClient(cotizacion.usuario)">
          Info. Cliente <mat-icon>visibility</mat-icon>
        </button>
            </mat-action-row>
        </mat-expansion-panel>
    </mat-accordion>

    <mat-accordion fxFlex="100" *ngIf="gestorComercial === false">
        <div style="height: calc(100vh - 220px)" *ngIf="cotizaciones.length === 0" fxLayout="row wrap" fxLayoutGap="10px grid" fxLayoutAlign="center center">
            <div fxFlex="50px">
                <img fxFlex="100" src="assets/images/completed.png" alt="tareas completadas o no asignadas" />
            </div>
            <h4>
                Muy bien, no tiene tareas pendientes por hacer, por favor revisa más tarde.
            </h4>
        </div>

        <mat-expansion-panel [disabled]="disableEXpand" (opened)="panelOpenState = true" (closed)="panelOpenState = false" *ngFor="let cotizacion of cotizaciones[0]" (click)="getImagenByContizacion(cotizacion.id)">
            <mat-expansion-panel-header>
                <div fxLayout="row wrap" fxFlex="100" fxLayoutGap="6px grid" fxLayoutAlign="space-between center">
                    <div>
                        <mat-panel-title fxLayout="row" fxLayoutAlign="start center" class="order-nro">
                            <span fxHide.xs="true" style="padding-right: 6px">Ref Seleccionada:
              </span> {{ cotizacion.referencia }}
                        </mat-panel-title>
                    </div>
                    <div>
                        <button mat-stroked-button>
              {{ cotizacion.estado_cotizacion }}
            </button>
                    </div>
                </div>
            </mat-expansion-panel-header>
            <div fxLayout="row wrap">
                <div fxFlex="100">
                    <mat-list class="list-cotizacion" role="list" fxLayout="row wrap">
                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Cotización creada: </span> {{ cotizacion.created.slice(0, 10) }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Emoción a despertar: </span> {{ cotizacion.que_quieres }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Motivo de la obra: </span> {{ cotizacion.para_que }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Dimensiones: </span> {{ cotizacion.dimension }}
                        </mat-list-item>

                        <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
                            <span>Orientación de la pintura: </span> {{ cotizacion.orientacion == "V" ? "Vertical" : "Horizontal" }}
                        </mat-list-item>
                    </mat-list>
                </div>
                <div fxFlex="100" fxLayout="row wrap" fxLayoutAlign="space-between center" fxLayoutGap="6px grid">
                    <div fxLayout="row wrap" fxLayoutGap="10px grid" fxFlex="100">
                        <div *ngIf="showDistribucion !== true">
                            <div mat-subheader>Imágenes del cliente:</div>
                            <div fxLayout="row wrap">
                                <ng-container *ngFor="let img of getImagesCotizacion[0]">
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen" [alt]="img.imagen" />
                                    </div>
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen2 !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen2" [alt]="img.imagen2" />
                                    </div>
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen3 !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen3" [alt]="img.imagen2" />
                                    </div>
                                </ng-container>
                            </div>
                        </div>

                        <div *ngIf="showImagesToProduccion === true || this.design === true">
                            <div mat-subheader>Imágenes del diseñador:</div>
                            <div fxLayout="row wrap">
                                <ng-container *ngFor="let img of getImagesCotizacion[0]">
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen4 !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen4" [alt]="img.imagen4" />
                                    </div>
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen5 !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen5" [alt]="img.imagen5" />
                                    </div>
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen6 !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen6" [alt]="img.imagen6" />
                                    </div>
                                </ng-container>
                            </div>
                        </div>
                        <div *ngIf="showDistribucion === true">
                            <div mat-subheader>Imágenes de producción:</div>
                            <div fxLayout="row wrap">
                                <ng-container *ngFor="let img of getImagesCotizacion[0]">
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen7 !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen7" [alt]="img.imagen7" />
                                    </div>
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen8 !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen8" [alt]="img.imagen8" />
                                    </div>
                                    <div class="images-upd" fxLayoutAlign="center center" *ngIf="img.imagen9 !== null" fxLayoutAlign="center center">
                                        <img style="width: 100%" [src]="env + img.imagen9" [alt]="img.imagen9" />
                                    </div>
                                </ng-container>
                            </div>
                        </div>
                    </div>
                    <div fxFlex="100" *ngIf="
              (this.produccion === true && cotizacion.descripcion !== '') ||
              showDistribucion === true
            ">
                        <div mat-subheader>Descripción de la evidencia:</div>
                        <p>
                            {{ cotizacion.descripcion }}
                        </p>
                    </div>
                    <div *ngIf="
              properties.length &&
              design === true &&
              (this.produccion === true ||
                this.coordinador === true ||
                showDistribucion === true)
            " fxFlex="100" fxLayout="row wrap">
                        <mat-divider fxFlex="100"></mat-divider>
                        <mat-list>
                            <div mat-subheader>Subir evidencias:</div>
                            <button mat-stroked-button (click)="openModalEvidencias(cotizacion.id)">
                Evidencias
                <mat-icon>file_upload</mat-icon>
              </button>
                        </mat-list>
                    </div>
                </div>
            </div>
            <mat-action-row fxLayoutAlign="start center" *ngIf="showDistribucion === true">
                <button mat-stroked-button color="dark" (click)="showInfoClient(cotizacion.usuario)">
          Info. Cliente <mat-icon>visibility</mat-icon>
        </button>
                <button mat-stroked-button color="primary" (click)="
            sendEmailToclient(
              cotizacion.usuario,
              cotizacion,
              getImagesCotizacion[0]
            )
          ">
          Enviar Correo <mat-icon>email</mat-icon>
        </button>
            </mat-action-row>
        </mat-expansion-panel>
    </mat-accordion>
</div>